Subject: bug#70076: 28.3; xml-escape-string parse issue

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 Mar 2024 16:21:34 +0300

> From: "D. Schmudde" <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 31 Mar 2024 13:15:29 +0200
> 
> Okay, good to know. Thanks for taking a look.
> 
> Here is some additional context. It occurs when using Elfeed's 
> ~elfeed-export-opml~ on my list of RSS feeds. It seems the library 
> relies on ~xml-escape-string~ to parse each element. It's worth 
> noting that this happens on several feeds, not just the feed for 
> leancrew.com listed below.

OK, but still: how did you get to that point?  Where did the
problematic string originate from?  Was it something that you typed or
copy/pasted, or something else?

> I can file a bug with the package maintainers but I wasn't sure if 
> the XML parser was a better place to start.

Yes, I think it is best to start by reporting this to package
maintainers.